TOPDIR?=../..
PLATFORMDIR?=${TOPDIR}

TESTDIR=${DEST}/regress/controller

REGRESS_DEPEND=platform-regress-controller-start
REGRESS_CLEANUP=platform-regress-controller-stop

REGRESS_TARGETS+=ctrl-hej
REGRESS_TARGETS+=ctrl-dump_vars
REGRESS_TARGETS+=pctrl-sha256
REGRESS_TARGETS+=hctrl-custom_headers
REGRESS_TARGETS+=ctrl-missing
REGRESS_TARGETS+=ctrl-hej-missing
REGRESS_TARGETS+=ctrl-hej-hopp
REGRESS_TARGETS+=ctrl-hej-tjo-param
REGRESS_TARGETS+=ctrl-partial-param
REGRESS_TARGETS+=ctrl-two-params
REGRESS_TARGETS+=ctrl-middle-param

EXTRACLEAN+=.template.out

TESTOUT=${TESTDIR}/test.out

include ${PLATFORMDIR}/mk/ninja.mk
include ${PLATFORMDIR}/mk/regress.mk
include ${PLATFORMDIR}/mk/regressinit.mk

platform-regress-controller-start:
	${SYSLOGHOOK} ${DEST_BIN}/regress-controller ${TESTDIR}/regress-controller.conf

platform-regress-controller-stop:
	curl http://127.0.0.1:${REGRESS_TRANS_CPORT}/stop

ctrl-%:
	curl -s http://127.0.0.1:${REGRESS_TRANS_CPORT}/`cat $@.in` > ${TESTOUT}
	${MATCH} ${TESTOUT} $@.out

hctrl-%:
	curl -s -D ${TESTOUT} http://127.0.0.1:${REGRESS_TRANS_CPORT}/`cat $@.in`
	${MATCH} --force-new ${TESTOUT} $@.out

pctrl-%:
	curl -s --data-binary @$@.post http://127.0.0.1:${REGRESS_TRANS_CPORT}/`cat $@.in` > ${TESTOUT}
	${MATCH} ${TESTOUT} $@.out
